#ifndef PART_OPENCL0_H
#define PART_OPENCL0_H

#define VECTOR_SIZE 3

#include "project_volumes.h"

void opencl_example0_init(Cvolume *vol);
void opencl_example0_load_volume(Cvolume *vol);
unsigned int* opencl_example0_run(Cvector cam_pos, Cvector cam_dir, Cvector cam_up, Cvector cam_right, int vol_width, int iso_depth, int ptime);
void opencl_example0_deinit();

#endif
